
From: Adrian Bunk <bunk@fs.tum.de>

drivers/net/tlan.c: In function `tlan_remove_one':
drivers/net/tlan.c:449: warning: implicit declaration of function `pci_release_regions'


---

 25-akpm/drivers/net/tlan.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/net/tlan.c~fix-tlanc-for-pci drivers/net/tlan.c
--- 25/drivers/net/tlan.c~fix-tlanc-for-pci	2004-05-12 21:04:45.075450624 -0700
+++ 25-akpm/drivers/net/tlan.c	2004-05-12 21:04:45.082449560 -0700
@@ -446,7 +446,9 @@ static void __devexit tlan_remove_one( s
 		pci_free_consistent(priv->pciDev, priv->dmaSize, priv->dmaStorage, priv->dmaStorageDMA );
 	}
 
+#ifdef CONFIG_PCI
 	pci_release_regions(pdev);
+#endif
 	
 	free_netdev( dev );
 		
@@ -673,8 +675,10 @@ err_out_uninit:
 err_out_free_dev:
 	free_netdev(dev);
 err_out_regions:
+#ifdef CONFIG_PCI
 	if (pdev)
 		pci_release_regions(pdev);
+#endif
 err_out:
 	if (pdev)
 		pci_disable_device(pdev);

_
